from IxRestPyUtils import setEnvironment, createSession, closeSession
import time

setEnvironment(ip="localhost", apiVersion="v1")
session = createSession(version="9.00.0.177")

try:
    session.start()

    test = session.ixload.test

    stats = session.ixload.stats
    chassisChain = session.ixload.chassischain

    chassisList = chassisChain.chassisList
    chassis = chassisList.appendItem(name="ixro-vaaqa-05")
    chassis.refreshConnection()

    activeTest = test.activeTest
    activeTest.enableForceOwnership = True # force ownership on the ports

    clientCommunity = activeTest.communityList.appendItem()
    serverCommunity = activeTest.communityList.appendItem()
    
    clientPortList = clientCommunity.network.portList
    serverPortList = serverCommunity.network.portList
    
    clientPortList.appendItem(chassisId=1, cardId=10, portId=3)
    serverPortList.appendItem(chassisId=1, cardId=10, portId=4)
    
    httpClientActivity = clientCommunity.activityList.appendItem(protocolAndType="HTTP Client")
    httpServerActivity = serverCommunity.activityList.appendItem(protocolAndType="HTTP Server")
    
    getCommand = httpClientActivity.agent.actionList.appendItem(commandType="GET")
    getCommand.destination = "Traffic2_HTTPServer1:80"
    getCommand.pageObject = "/1b.html"

    test.runTest()
    
    while activeTest.currentState == "Running":
        print("Stats values dict -> %s" % (stats.HttpClient.values))
        time.sleep(2)
except Exception as ex:
    print("Caught exception -> %s" % (str(ex)))
finally:
    closeSession(session)